Subject: bug#78638: 30.1; When editing a remote file owned by another user, Tramp signals an error because it cannot change the file mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jun 2025 08:19:45 +0300

> From: Michael McClennen <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Sat, 31 May 2025 20:12:07 +0000
> 
> I set the value of ‘backup-by-copying-when-privileged-mismatched’ to 10000, and the error still occurs. I then set ‘backup-by-copying’ to t, and the error still occurs. I checked the *Messages* buffer, and it reports that Emacs is using copying for this file. This is definitely an error in Tramp, not the result of proper Emacs behavior.

Thanks, I agree with your conclusion.

Michael, could you please look into this?